---
title: msSaveBlob
slug: Web/API/Navigator/msSaveBlob
---
<div>{{APIRef("HTML DOM")}}{{non-standard_header}}{{obsolete_header}}</div>

<p>The <strong><code>Navigator.msSaveBlob()</code></strong> method saves the {{domxref("File")}} or {{domxref("Blob")}} to disk. This method behaves in the same way as {{domxref("Navigator.msSaveOrOpenBlob()")}} except that this disables the file open option.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">navigator.msSaveBlob(blob, <em>defaultName</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>blob</code></dt>
 <dd>A blob to be saved.</dd>
 <dt><code>defaultName</code></dt>
 <dd>
 <p>The file name to be used when saving file.</p>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>True is returned as long as the download notification bar is displayed, or false if a failure occurred.</p>

<h2 id="Notes">Notes</h2>

<p>When a site calls this method, the behavior is the same as when Windows Internet Explorer downloads a file with the following in the header, where <code>X-Download-Options</code> removes the file open button from the browser file download dialog:</p>

<pre>Content-Length: &lt;blob.size&gt;
Content-Type: &lt;blob.type&gt;
Content-Disposition: attachment;filename=&lt;defaultName&gt;
X-Download-Options: noopen
</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specifications.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Navigator.msSaveBlob")}}</p>
